O2I_SCT_LIST(3ossl)

NAME
o2i_SCT_LIST, i2o_SCT_LIST, o2i_SCT, i2o_SCT - decode and encode Signed Certificate Timestamp lists in TLS wire format

SYNOPSIS
 #include <openssl/ct.h>

 STACK_OF(SCT) *o2i_SCT_LIST(STACK_OF(SCT) **a, const unsigned char **pp,
                             size_t len);
 int i2o_SCT_LIST(const STACK_OF(SCT) *a, unsigned char **pp);
 SCT *o2i_SCT(SCT **psct, const unsigned char **in, size_t len);
 int i2o_SCT(const SCT *sct, unsigned char **out);

DESCRIPTION
The SCT_LIST and SCT functions are very similar to the i2d and d2i family of functions, except that they convert to and from TLS wire format, as described in RFC 6962. See d2i_SCT_LIST(3) for more information about how the parameters are treated and the return values.

RETURN VALUES
All of the functions have return values consistent with those stated for d2i_SCT_LIST(3) and i2d_SCT_LIST(3).

SEE ALSO
ct(7), d2i_SCT_LIST(3), i2d_SCT_LIST(3)

HISTORY
These functions were added in OpenSSL 1.1.0.

COPYRIGHT
Copyright 2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.